Remove the unused coding style modules

Python modules related to coding style checks (listed in blacklist.txt in
openstack/requirements repo) are dropped from lower-constraints.txt
as they are not actually used in tests (other than pep8).

more info: https://github.com/openstack/requirements/blob/master/blacklist.txt

Change-Id: I333bbddf70a4ead1778813a8311969ec372604d3
changes/61/754961/1
wu.shiming 2 years ago
parent 015f45b4ab
commit 4012a88483
  1. 6
      lower-constraints.txt

@ -2,7 +2,6 @@ amqp==2.1.1
appdirs==1.3.0
asn1crypto==0.23.0
Babel==2.3.4
bandit==1.4.0
cachetools==2.0.0
cffi==1.14.0
cliff==2.8.0
@ -19,13 +18,11 @@ eventlet==0.18.2
extras==1.0.0
fasteners==0.7.0
fixtures==3.0.0
flake8==2.5.5
future==0.16.0
futurist==1.2.0
gitdb==0.6.4
GitPython==1.0.1
greenlet==0.4.15
hacking==1.1.0
idna==2.6
iso8601==0.1.11
Jinja2==2.10
@ -37,7 +34,6 @@ keystoneauth1==3.5.0
kombu==4.0.0
linecache2==1.0.0
MarkupSafe==1.1.1
mccabe==0.2.1
monotonic==0.6
msgpack-python==0.4.0
munch==2.1.0
@ -62,14 +58,12 @@ paramiko==2.0.0
Paste==2.0.2
PasteDeploy==1.5.0
pbr==2.0.0
pep8==1.5.7
pika==0.10.0
pika-pool==0.1.3
positional==1.2.1
prettytable==0.7.2
pyasn1==0.1.8
pycparser==2.18
pyflakes==0.8.1
pyinotify==0.9.6
pyOpenSSL==17.1.0
pyparsing==2.1.0

Loading…
Cancel
Save